﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace Slayter
{
    public class Background : IDrawable
    {
        protected Texture2D picture;
        protected Rectangle rect;
        public Rectangle Rect { get { return rect; } }
        public Texture2D Picture { get { return picture; } }
        public Background(Texture2D t,Rectangle r)
        {
            picture = t;
            rect = r;
        }

        public int Height {get{return picture.Height;}}
        public int Width {get{return picture.Width;}}

        public virtual void draw(SpriteBatch spriteBatch)
        {
            spriteBatch.Draw(picture, rect, Color.White);
        }
    }
}
