﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace Slayter
{
    public class Text:IDrawable
    {
        protected SpriteFont font;
        public String label;
        public Vector2 position;

        public Text(SpriteFont f,string l,Vector2 p)
        {
            font=f;
            label = l;
            position = p;
        }

        public virtual void draw(SpriteBatch spriteBatch)
        {
            spriteBatch.DrawString(font,label,position,Color.White);
        }
    }
}
